## R-1.6.2.tgz

=== DESCRIPTION ===
Package: grid
Version: 0.7-4
Date: 2002/20/12
Priority: recommended
Title: The Grid Graphics Package
Author: Paul Murrell <paul@stat.auckland.ac.nz>
Maintainer: Paul Murrell <paul@stat.auckland.ac.nz>
Depends: R (>= 1.6.0)
Description: A rewrite of the graphics layout capabilities, plus some support for interaction.
License: GPL version 2
URL: http://www.stat.auckland.ac.nz/~paul/grid/grid.html

=== src/gnuwin32/fixed/Makefile ===
include ../MkRules

all: profiles fixh fixhtml fixbin fixetc fixshare

profiles: ../../../library/base/R/Rprofile

../../../library/base/R/Rprofile:  ../../library/profile/Common.R \
../../library/profile/Rprofile.gnw
	@$(ECHO) -------- Building $@ from $^--------
	mkdir -p ../../../library/base/R
	$(CAT)  $^ > $@


SED0='/^\#/d'
SED01='/Rsockfork/d'
SED1='s/F77_SUBROUTINE(\(.*\))/void * \1_();/'
SED2='s/C_FUNCTION(\(.*\))/void * \1();/'
SED3='s/F77_SUBROUTINE(\(.*\))/	{ "\1_",	\1_},/'
SED4='s/C_FUNCTION(\(.*\))/{ "\1",	\1 },/'

../FFDecl.h: ../../appl/ROUTINES
	$(SED) -e $(SED0) -e $(SED01) -e $(SED1) -e $(SED2) $< > $@
../FFTab.h: ../../appl/ROUTINES
	$(SED) -e $(SED0) -e $(SED01) -e $(SED3) -e $(SED4) $< > $@


version: ../../include/Rversion.h
fixh: version h/config.h ../FFDecl.h ../FFTab.h \
  ../../include/Rconfig.h  ../../include/Rmath.h
	@$(CP) -p ./h/config.h ./h/psignal.h ../../include
	@$(ECHO) done > fixh

../../include/Rconfig.h: h/config.h
	$(SED) -e 1d ../../../tools/GETCONFIG > GC
	(cd h; sh ../GC > ../../../include/Rconfig.h)
	$(RM) GC

../../include/Rversion.h: ../../../date-stamp ../../../VERSION
	$(SED) -e 1d ../../../tools/GETVERSION > ../../../tools/GV
	sh ../../../tools/GV > $@
	$(RM) ../../../tools/GV

# some headers have log1p, but end user's set may not have.
# so assume not.
../../include/Rmath.h: ../../include/Rmath.h.in
	$(SED) -e /@RMATH_HAVE_LOG1P@/d  -e /@RMATH_HAVE_EXPM1@/d $< > $@

../../../bin/massage-Examples: ../../../share/perl/massage-Examples.pl
	$(SED) -e 's/"contr.poly")/"contr.poly"), pager="console"/' $< > $@

../../../bin/check: ../../scripts/check.in
	$(SED) -e 1d -e "s/R CMD/Rcmd/" -e "s/Rd2dvi /Rd2dvi.sh /" $< > $@

../../../bin/build: ../../scripts/build.in
	$(SED) -e 1d -e "s/R CMD/Rcmd/" $< > $@

../../../bin/Sd2Rd: ../../scripts/Sd2Rd.in
	$(SED) -e 1d -e "s/R CMD/Rcmd/" $< > $@

../../../bin/Rdconv: ../../scripts/Rdconv.in
	$(SED) -e 1d -e s/\"unix\"/\"windows\"/ -e "s/R CMD/Rcmd/" $< > $@

../../../bin/Rdindex: ../../scripts/Rdindex.in
	$(SED) -e 1d -e s/\"unix\"/\"windows\"/ -e "s/R CMD/Rcmd/" $< > $@

../../../bin/Rdiff.sh: ../../scripts/Rdiff
	$(SED) -e 1d $< > $@

../../../bin/Rprof: ../../scripts/Rprof.in
	$(SED) -e 1d -e "s/R CMD/Rcmd/" $< > $@

fixbin: ../../../bin/massage-Examples ../../../bin/build \
	   ../../../bin/check ../../../bin/Rdconv ../../../bin/Rdindex \
	   ../../../bin/Sd2Rd ../../../bin/Rdiff.sh ../../../bin/Rprof cp2bin
	@$(ECHO) done > fixbin

cp2bin: $(filter-out ./bin/CVS, $(wildcard ./bin/*))
	@zip -q bins $^
	@unzip -oaq bins -d  ../../..
	@$(RM) bins.zip

fixhtml: $(wildcard ./html/*.html) ../../../doc/html/search/SearchEngine.html
	$(CP) -p ./html/*.html ../../../doc/html
	$(CP) -p ./html/rwin.html ../../../doc/html/index.html
	@$(ECHO) done > fixhtml

fixetc: $(filter-out ./etc/CVS, $(wildcard ./etc/*))
	$(CP) -p $^ ../../../etc
	@$(ECHO) done > fixetc

fixshare: ./share/tests.mk
	$(MKDIR) -p ../../../share/make
	$(CP) -p $^ ../../../share/make/wintests.mk
	@$(ECHO) done > fixshare	

clean:
	$(RM) *~ */*~ fixhtml fixh fixbin fixetc fixshare

distclean: clean
	$(RM) -f ../FFDecl.h ../FFTab.h ../../../tools/GV

../../../doc/html/search/SearchEngine.html:../../../doc/KEYWORDS.db
	(cd ../../../doc; \
	cat html/search/SearchEngine-head.html > html/search/SearchEngine.html; \
	perl ../tools/keywords2html.pl KEYWORDS.db >> html/search/SearchEngine.html; \
	cat html/search/SearchEngine-foot.html >> html/search/SearchEngine.html)

=== src/gnuwin32/help/Makefile ===
# default target builds indices
DOS=# -dosnames   # for file-name mapping
PERL=R_OSTYPE=windows perl
CAT=cat
CP=cp
RM=rm
MKDIR=mkdir

RHOME=$(shell perl ../pwd.pl ../../..)
PKGDIR=../../library
RLIB=$(RHOME)/library

indices:
	@PERL5LIB=$(RHOME)/share/perl $(PERL) \
	  ../../../share/perl/build-help-windows.pl ${DOS} -htmllists

pkg-% help-%:
	@PERL5LIB=$(RHOME)/share/perl $(PERL) \
	  ../../../share/perl/build-help-windows.pl ${DOS} \
	  -txt -html -example -latex $(PKGDIR)/$* $(RLIB)

chm-%:
	@PERL5LIB=$(RHOME)/share/perl $(PERL) \
	  ../../../share/perl/build-help-windows.pl ${DOS} \
	  -chm $(PKGDIR)/$* $(RLIB)
# hhc always gives an error code
	@$(MAKE)  --no-print-directory -C $(PKGDIR)/$*/chm \
	  -f $(RHOME)/src/gnuwin32/help/Makefile $*.chm
	@$(MKDIR) -p $(RLIB)/$*/chtml
	@$(CP) $(PKGDIR)/$*/chm/$*.chm $(RLIB)/$*/chtml

winhlp-%: chm-%
	$(MAKE) --no-print-directory -C $(PKGDIR)/$*/chm \
	  -f $(RHOME)/src/gnuwin32/help/Makefile $*.hlp
	$(MKDIR) -p $(RLIB)/$*/winhlp
	$(CP) $(PKGDIR)/$*/chm/$*.cnt $(PKGDIR)/$*/chm/$*.hlp $(RLIB)/$*/winhlp

# need not have HTML installed when building packages
contents-%:
	@PERL5LIB=$(RHOME)/share/perl $(PERL) \
	  ../../../share/perl/Rd2contents.pl \
	  --os=windows -o $(RLIB)/$*/CONTENTS $(PKGDIR)/$*
	@$(MKDIR) -p $(RHOME)/doc/html/search
	@$(CAT) $(RHOME)/library/*/CONTENTS > $(RHOME)/doc/html/search/index.txt
	@PERL5LIB=$(RHOME)/share/perl $(PERL) \
	  ../../../share/perl/build-help-windows.pl ${DOS} -htmllists

ziphelp-%:
	@$(MAKE) --no-print-directory -C $(RLIB)/$* \
	  -f $(RHOME)/src/gnuwin32/help/Makefile ZIPFLAGS=jqX  PKG=$* zipit

ziponlyhelp-%:
	@$(MAKE) --no-print-directory -C $(RLIB)/$* \
	  -f $(RHOME)/src/gnuwin32/help/Makefile ZIPFLAGS=jqmX PKG=$* zipit


winhelp-%:
	$(MAKE) --no-print-directory -C $(PKGDIR)/$* \
	  -f $(RHOME)/src/gnuwin32/help/Makefile PKG=$* win

latex-%:
	@$(MAKE) --no-print-directory -C $(RLIB)/$* \
	-f $(RHOME)/src/gnuwin32/help/Makefile PKG=$* unzipit
	PERL5LIB=$(RHOME)/share/perl $(PERL) \
	  ../../../share/perl/build-help-windows.pl ${DOS} -latex $(PKGDIR)/$*

clean:
	$(RM) -fr *~ *.o *.obj *.dll *.def *.a

# to be run from src/library/pkg/chm

HTM = $(filter-out 00Index.html, $(wildcard *.html))
%.chm: $(HTM) Rchm.css logo.jpg
	@hhc $*.hhp || exit 0

%.hlp: %.rtf logo.bmp
	hcrtf /x $*.hpj

%.rtf: $(HTM)
	perl $(RHOME)/share/perl/hhw-to-rtf.pl $*.hhp

Rchm.css: $(RHOME)/src/gnuwin32/help/Rchm.css
	@$(CP) $^ $@

logo.jpg: $(RHOME)/doc/html/logo.jpg
	@$(CP) $^ $@

logo.bmp: $(RHOME)/src/gnuwin32/help/logo.bmp
	@$(CP) $^ $@

# following are designed to be run from the library/pkg directory:

zipit: help/Rhelp.zip zipup
unzipit:
	-@$(MAKE) --no-print-directory -C latex \
	  -f $(RHOME)/src/gnuwin32/help/Makefile uz-Rhelp

help/Rhelp.zip: $(wildcard ../../src/library/$(PKG)/man/*.Rd \
../../src/library/$(PKG)/man/windows/*.Rd)
	-@if test -d help ; then \
	  $(MAKE) --no-print-directory -C help  \
            -f $(RHOME)/src/gnuwin32/help/Makefile uz-Rhelp; \
	fi
	-@if test -d R-ex ; then \
	  $(MAKE) --no-print-directory -C R-ex \
	    -f $(RHOME)/src/gnuwin32/help/Makefile uz-Rex; \
	fi
	-@if test -d latex ; then \
	  $(MAKE) --no-print-directory -C latex \
	    -f $(RHOME)/src/gnuwin32/help/Makefile uz-Rhelp; \
	fi
	-@$(MAKE) --no-print-directory -C $(RHOME)/src/gnuwin32/help help-$(PKG)
	@$(RM) -f help/Rhelp.zip latex/Rhelp.zip R-ex/Rex.zip

zipup:
	@zip -${ZIPFLAGS} help/Rhelp help/* -x help/AnIndex 2> /dev/null || exit 0
	@zip -${ZIPFLAGS} R-ex/Rex R-ex/*.R 2> /dev/null || exit 0
	@zip -${ZIPFLAGS} latex/Rhelp latex/*.tex 2> /dev/null || exit 0

uz-%:
	@if test -f $*.zip ; then \
	  unzip -qou $*; \
	fi

=== debian/changelog ===
r-base (1.6.1.cvs.20021230-1) unstable; urgency=low

  * Upgraded to release candidate dated 2002-12-30 of R 1.6.2
  * Added Douglas Bates as an Uploader following email discussion with Dirk
  
 -- Douglas Bates <bates@stat.wisc.edu>  Mon, 30 Dec 2002 20:43:24 -0600

r-base (1.6.1-3) unstable; urgency=low

  * debian/{control,rules}: Configure switch from f2c to g77 for m68k
  * debian/{control,rules}: Configure switch from tcl/tk8.3 to tcl/tk8.4
  * debian/control: Added libpaperg-dev to Build-Depends (Closes: #168259)
  * debian/r-base-control: Substitute result from paperconf call 
    into $R_HOME/etc/Renviron, not /usr/bin/R 
  * debian/rules: Move $R_HOME/etc/* files into /etc/R/ (Closes: #170018)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Nov 2002 07:49:49 -0600

r-base (1.6.1-2) unstable; urgency=low

  * Rebuilt with support for bzip2 (compression) and pcre (reg.expressions)
  * debian/control: Added libbz2-dev and libpcre3-dev to Build-Depends
  * debian/rules: Set R_BROWSER to /usr/bin/mozilla in $R_HOME/etc/Renviron

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 11 Nov 2002 13:26:27 -0600

r-base (1.6.1-1) unstable; urgency=low

  * Upgraded to R version 1.6.1 released today

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  1 Nov 2002 16:56:50 -0600

r-base (1.6.0.rel.20021024-1) unstable; urgency=low

  * Upgraded to release candidate dated 2002-10-24 of R 1.6.1
  * debian/control: Set section for r-base-dev to devel
  * debian/r-doc-info.prerm: Add upgrade target

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Oct 2002 21:01:49 -0500

r-base (1.6.0.rel.20021017-1) unstable; urgency=low

  * Upgraded to first release candidate (dated 2002-10-17) of R 1.6.1
  * Since 1.6.0, the R Core upstream stream now bundles the sources 
    of the r-recommended package directly in the r-base sources -- thus 
    the source package r-recommended will be replaced by a binary 
    package derived from these sources
  * debian/control: Added new package r-recommended
  * debian/r-recommended.{files,links}: Defined accordingly
  * debian/copyright: Include the copyright file from r-recommended

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 17 Oct 2002 20:53:49 -0500

r-base (1.6.0.rel-1) unstable; urgency=low

  * Upgraded to new upstream release 1.6.0 [ which we need to rename
    1.6.0.rel so that is sorts higher than 1.6.0.rc.20020927 ]
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  1 Oct 2002 21:18:52 -0500

r-base (1.6.0.rc.20020927-1) unstable; urgency=low

  * Upgraded to new release candidate of R 1.6.0

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 26 Sep 2002 20:49:34 -0500

r-base (1.6.0.rc.20020917-1) unstable; urgency=low

  * Upgraded to new release candidate of R 1.6.0

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Sep 2002 20:41:58 -0500

r-base (1.6.0.rc.20020910-1) unstable; urgency=low

  * First release candidate of R 1.6.0 which is scheduled to be released on
    October 1, 2002 -- this release corresponds to the first feature freeze
  * debian/control: More Suggests: of the r-doc-* packages

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  9 Sep 2002 20:53:41 -0500

r-base (1.5.1-0woody1) woody-proposed-updates; urgency=low

  * Backport for woody built against atlas with corrected virtual Depends 
    on blas/atlas to prevent bugs like #150253 and #152284 in woody
  * debian/rules: Use "-O0 -g0" on arm and m68k to shorten compile time
  * debian/control: Added lib{ncurses5,readline4}-dev to r-base-dev Depends 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 15 Jul 2002 21:19:51 -0500

r-base (1.5.1-1) unstable; urgency=low

  * Upgraded to new upstream release 1.5.1
  * debian/rules: Also create link from libRmath.so to libRmath.so.1
  * debian/rules: Include test.c example in r-mathlib (Closes: #149723)
  * debian/README.mathlib: Added, includes src/nmath/standalone/README

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 17 Jun 2002 19:24:59 -0500

r-base (1.5.0-3) unstable; urgency=low

  * debian/r-doc-html.links: Link into /usr/lib/R/doc/manual (Closes: #148628)
  * debian/r-doc-pdf.links: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  8 Jun 2002 11:52:14 -0500

r-base (1.5.0-2) unstable; urgency=low

  * debian/rules: Remove usr/share/info/dir{,.old} (Closes: #148054)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 May 2002 15:31:22 -0500

r-base (1.5.0-1) unstable; urgency=low

  * Upgraded to new upstream release 1.5.0

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 29 Apr 2002 18:23:59 -0500

r-base (1.4.1.cvs20020421-1) unstable; urgency=low

  * Upgraded to new release candidate 2002-04-21 of R 1.5.0
  * debian/control: Added virtual fortran77-compiler, c-compiler to the
    list of alternative compilers that r-base-dev Depends: on

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Apr 2002 19:01:57 -0500

r-base (1.4.1.cvs20020414-1) unstable; urgency=low

  * Upgraded to new release candidate 2002-04-14 of R 1.5.0

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Apr 2002 20:48:59 -0500

r-base (1.4.1.cvs20020407-1) unstable; urgency=low

  * Upgraded to new release candidate 2002-04-07 of R 1.5.0

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  7 Apr 2002 07:59:43 -0500

r-base (1.4.1.cvs20020331-1) unstable; urgency=low

  * Upgraded to new release candidate 2002-03-23 of R 1.5.0

  * debian/control: Build-Depends on texinfo (>= 4.1-2) to ensure that 
    we will not be bitten by the epsf.tex bug 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 31 Mar 2002 08:55:08 -0600

r-base (1.4.1.cvs20020323-1) unstable; urgency=low

  * Upgraded to new release candidate 2002-03-23 of R 1.5.0

  * debian/control: New packages r-base-core, r-base-html, r-base-latex 
    and r-doc-info have been split from the old r-base package which now 
    Depends: on these, but can also be removed -- this adds some extra
    flexibility and can save over eight megabytes of installed files.
  * debian/control: Replaces: r-base (<= 1.4.1-1) for the new packages



=== debian/control ===
Source: r-base
Section: math
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Uploaders: Douglas Bates <bates@stat.wisc.edu>
Standards-Version: 3.5.7
Build-Depends: blas-dev (>= 1.0-9), libgnome-dev, libzvt-dev, libgtkxmhtml-dev, tcl8.4-dev, tk8.4-dev, libglade-gnome0-dev, bison, g77 [!ia64], g77-3.0 [ia64], gcc-3.0 [ia64], g++-3.0 [ia64], groff-base, libncurses5-dev, libreadline4-dev, tetex-bin, tetex-extra, debhelper (>= 3.0.0), texi2html, texinfo (>= 4.1-2), libbz2-dev, libpcre3-dev, libpaperg-dev

Package: r-base
Architecture: all
Depends: r-base-core, r-base-html, r-base-latex
Suggests: libpaperg, ess, r-doc-info | r-doc-pdf | r-doc-html
Description: GNU R statistical computing language and environment
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 S is the statistician's Matlab and R is to S what Octave is to Matlab.
 .
 This packages is a meta-package which eases the transition from the 
 pre-1.5.0 package setup with its larger r-base package. Once installed, it 
 can be safely removed and apt-get will automatically upgrade its components
 during future upgrades.  Providing this packages gives a way to users to 
 then only install r-base-core (but not, say, r-base-latex) if they so desire.

Package: r-base-core
Architecture: any
Depends: ${perl:Depends}, zlib-bin, ${shlibs:Depends}
Replaces: r-base (<= 1.4.1-1)
Recommends: r-recommended, r-base-dev
Suggests: libpaperg, ess, r-doc-info | r-doc-pdf | r-doc-html
Description: GNU R core of statistical computing language and environment
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 S is the statistician's Matlab and R is to S what Octave is to Matlab.
 .
 This package provides the core GNU R system from which only the optional
 documentation packages r-base-html, r-base-latex, r-doc-html, r-doc-pdf 
 and r-doc-info have been split off to somewhat reduce the size of this 
 package. 

Package: r-gnome
Architecture: any
Depends: r-base-core (= ${Source-Version}), ${shlibs:Depends}
Description: GNU R Gnome gui for statistical computing system
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This package provides the dynamic link libraries needed to start GNU R
 with the GNOME libraries frontend as in "R --gui=GNOME"

Package: r-base-dev
Architecture: all
Section: devel
Depends: r-base-core, blas-dev (>= 1.0-9), build-essential, g77 | g77-3.0 | f2c | fortran77-compiler , gcc | gcc-3.0 | c-compiler, g++ | g++-3.0, libncurses5-dev, libreadline4-dev
Description: GNU R installation of auxiliary GNU R packages 
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This packages ensures that other Debian packages needed for installation of
 some auxiliary R packages are installed.

Package: r-mathlib
Architecture: any
Depends: r-base-core, r-base-dev
Description: GNU R standalone mathematics library
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This packages provides the libRmath shared and static libraries which can
 be called from standalone C or C++ code.

Package: r-base-html
Architecture: all
Priority: extra
Depends: r-base-core
Replaces: r-base (<= 1.4.1-1)
Suggests: r-doc-html, mozilla | www-browser
Description: GNU R html docs for statistical computing system functions
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This packages provides html documentation suitable for browsing with a 
 web-browser for the libraries included in the r-base package. It is not 
 a required package as the same documentation is already included for 
 on-line browsing. 

Package: r-base-latex
Architecture: all
Priority: extra
Depends: r-base-core
Replaces: r-base (<= 1.4.1-1)
Description: GNU R LaTeX docs for statistical computing system functions
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This packages provides latex documentation suitable for off-line printing
 for the libraries included in the r-base package. It is not a required 
 package as the same documentation is already included for on-line browsing.

Package: r-doc-pdf
Architecture: all
Section: doc
Suggests: r-base-core, xpdf | acroread | pdf-viewer
Description: GNU R pdf manuals for statistical computing system
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This packages provides the R manuals in pdf format. The sibling packages
 r-doc-html and r-doc-info provides the same manuals.

Package: r-doc-html
Architecture: all
Section: doc
Suggests: r-base-core, mozilla | www-browser
Replaces: r-base (<= 1.4.1-1)
Description: GNU R html manuals for statistical computing system
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This packages provides the R manuals in html format. The sibling packages
 r-doc-pdf and r-doc-info provides the same manuals.

Package: r-doc-info
Architecture: all
Section: doc
Replaces: r-base (<= 1.4.1-1)
Suggests: r-base-core, info (>= 3.12) | info-browser
Description: GNU R info manuals statistical computing system
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This packages provides the R manuals in info format. The sibling packages
 r-doc-html and r-doc-pdf provide the same manuals.

Package: r-recommended
Architecture: any
Depends: r-base-core (= ${Source-Version}), ${shlibs:Depends}
Description: GNU R collection of recommended packages 
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 This Debian package contains the R packages that are recommended by the
 upstream R core team as part of a complete R distribution, and distributed
 along with the source of R itself. The package comprises 
 the following packages:

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for the Debian GNU/Linux r-base package
# Copyright 1997-2001 by Douglas Bates <bates@stat.wisc.edu>, <edd@debian.org>
# Copyright 2001-2002 by Dirk Eddelbuettel <edd@debian.org>

# $Id: rules,v 1.41.2.1 2002/12/30 17:32:09 bates Exp $

corepackage	= r-base-core
latexpackage	= r-base-latex
pdfpackage	= r-doc-pdf
htmlpackage	= r-doc-html
gnomepackage	= r-gnome
nmathpackage	= r-mathlib
infopackage	= r-doc-info
recdpackage	= r-recommended

# for the standalone library, no sonames are assigned in the upstream Makefiles
somaj		= 1
somin		= 0
sorel		= 0
libver		= $(somaj).$(somin).$(sorel)

debbase		:= $(CURDIR)/debian
debtmp		:= $(debbase)/tmp
debdoc		:= $(debbase)/$(corepackage)/usr/share/doc/$(corepackage)
debmat		:= $(debbase)/$(nmathpackage)
debetc		:= $(debbase)/$(corepackage)/usr/lib/R/etc

arch		:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

## set this to 1 if you want the skip the pdf creation and tests
#skipparts	= 1

# set this to 1 (default) if you want the Gnome GUI package
gnome		= 1
ifeq ($(gnome),0)
gnomeconfig 	= --without-gnome
else
gnomeconfig	= --with-gnome
endif

#export DH_VERBOSE = 1
export DH_COMPAT  = 3

# edd 15 Aug 2001: default to blas, atlas can override it 
atlas 		= --with-blas=blas

# edd 02 Sep 2001: default to g77 but let m68k use f2c
fortrancompiler	= F77=g77
compiler	= gcc
cxxcompiler	= g++

# edd 04 Sep 2001  default compiler flags, lowered for m68k
compilerflags	= -O2
# m68k barks when using g77, and when gcc use -O2
# edd 26 Nov 2002  switched back to g77
#ifeq ($(arch),m68k-linux)
#fortrancompiler	= F2C=f2c
#endif

## edd 09 Nov 2001  ia64 needs gcc-3.0, hppa gets it by default
ifeq ($(arch),ia64-linux)
fortrancompiler = F77=g77-3.0
compiler	= gcc-3.0
cxxcompiler	= g++-3.0
compilerflags	= -O2
endif

## lamont@debian.org 06 Dec 2001  hppa needs -ffunction-sections  
ifeq ($(arch),hppa-linux)
compilerflags   = -O2 -ffunction-sections
endif

## edd 20 Jun 2002      no optimisation or debugging on baby systems
ifneq "$(findstring $(arch), m68k-linux arm-linux)" ""
compilerflags	= -O0 -g0
endif

## try gcc-3.0 on i386 -- appears to work
#ifeq ($(arch),i386-linux)
#fortrancompiler= F77=g77-3.0
#compiler	= gcc-3.0
#cxxcompiler	= g++-3.0
#compilerflags	= -O2
#endif

get-orig-source: upstream
upstream:
	links http://cran.us.r-project.org/src/base

upstreamdevel:
	links http://cran.us.r-project.org/src/base
        #links ftp://ftp.stat.math.ethz.ch/Software/R

build: build-arch build-indep

build-arch: configure make-arch-stamp build-arch-stamp
build-arch-stamp:
	@echo "*** build-arch ***"
	touch build-arch-stamp

build-indep: configure make-indep-stamp build-indep-stamp
build-indep-stamp:
	@echo "*** build-indep ***"
	touch build-indep-stamp

configure: configure-stamp
configure-stamp:	
	@echo "*** configure ***"
	dh_testdir
	R_UNZIPCMD=/usr/bin/miniunzip			\
	R_ZIPCMD=/usr/bin/minizip			\
	CC=${compiler}					\
	CXX=${cxxcompiler}				\
	${fortrancompiler}				\
	CPPFLAGS=					\
	LDFLAGS=					\
	FLIBS=						\
	./configure --prefix=/usr			\
		    --with-tcltk			\
		    --mandir=/usr/share/man		\
		    --infodir=/usr/share/info		\
		    $(atlas)				\
		    $(gnomeconfig)			\
		    --enable-R-profiling		\
		    --enable-R-shlib			\
		    --host $(arch)

#		    --with-tcl-config=/usr/lib/tcl8.3/tclConfig.sh	
#		    --with-tk-config=/usr/lib/tk8.3/tkConfig.sh		

	touch configure-stamp

make-arch: configure make-arch-stamp 
make-arch-stamp: 
	@echo "*** make-arch ***"
	make		CFLAGS="$(compilerflags)"		\
			CXXFLAGS="$(compilerflags)"		\
			FFLAGS="$(compilerflags)"		\
			CC=${compiler} 				\
			CXX=${cxxcompiler}			\
			FC=${fortrancompiler}			\
			R
	make		CFLAGS="$(compilerflags)"		\
			CXXFLAGS="$(compilerflags)"		\
			FFLAGS="$(compilerflags)"		\
			CC=${compiler} 				\
			CXX=${cxxcompiler}			\
			FC=${fortrancompiler}			\
			stamp-recommended
        # currently needed for binary package with docs [FIXME: how?]
	make docs

        # make standalone math lib
	(cd src/nmath/standalone; 				\
		make	CFLAGS="$(compilerflags) -D_REENTRANT"	\
			CXXFLAGS="$(compilerflags) -D_REENTRANT"\
			FFLAGS="$(compilerflags) -D_REENTRANT"	\
			CC=${compiler} 				\
			CXX=${cxxcompiler} 			\
			FC=${fortrancompiler}			\
			libRmath_la_LDFLAGS=-Wl,-soname,libRmath.so.$(somaj) \
			)
        # FIXME
	make html
        # currently needed for binary package [FIXME: into r-doc-help]
	make help
	touch make-arch-stamp

make-indep: configure make-indep-stamp
make-indep-stamp:
	@echo "*** make-indep ***"
        # FIXME would be nice here:   make docs
        #                             make help
        # currently needed for binary package [FIXME: into r-doc-info]
	make info
	make pdf
	touch make-indep-stamp

make: configure make-arch-stamp make-indep-stamp make-stamp
make-stamp: 
        # Already made in general 'make': make html
	touch make-stamp

check: configure make-arch check-stamp
check-stamp: 
	@echo "*** check ***"
ifneq	($(arch),arm-linux)
	-make check
endif
	touch check-stamp

clean:
	@echo "*** clean ***"
	dh_testdir
	dh_testroot
	rm -f 	configure-stamp \
		build-stamp build-indep-stamp build-arch-stamp \
		make-stamp make-arch-stamp make-indep-stamp \
		install-indep-stamp install-arch-stamp \
		check-stamp 
	-make distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -f doc/html/function.html doc/html/packages.html
	-rm -f modules/*.so
        # left over in CVS from r-base --> r-base-core transition
	(cd debian; rm -vf r-base.dirs r-base.files r-base.lintian \
			r-base.menu r-base.postinst)	
	dh_clean

install: install-arch install-indep 

install-arch: make-arch check install-arch-stamp
install-arch-stamp: 
	@echo "*** install-arch ***"
	dh_testdir
	dh_testroot
	dh_clean -a -k
	dh_installdirs -A

	make    	prefix=$(debtmp)/usr   	 		\
			mandir=$(debtmp)/usr/share/man	 	install

        # Now for a set of fixes / corrections for the Debian installation 

        # set R_HOME_DIR env.var. in R shell script
	sed -e '/^R_HOME_DIR=.*/s::R_HOME_DIR=/usr/lib/R:' \
	  < bin/R > $(debtmp)/usr/bin/R
	sed -e '/^R_HOME_DIR=.*/s::R_HOME_DIR=/usr/lib/R:' \
	  < bin/R > $(debtmp)/usr/lib/R/bin/R

        # set browser to mozilla as mozilla-1.0.0 works with help.start()
	sed -e '/^R_BROWSER=.*/s::R_BROWSER=$${R_BROWSER-/usr/bin/mozilla}:' \
	  < etc/Renviron > $(debtmp)/usr/lib/R/etc/Renviron

        # fix permissions (Lintian)
	chmod a+x 	$(debtmp)/usr/lib/R/share/sh/echo.sh 		\
			$(debtmp)/usr/lib/R/share/sh/help-links.sh	\
			$(debtmp)/usr/lib/R/share/sh/help-print.sh

        # remove unneeded license files, but link them back
	rm -v 	$(debtmp)/usr/lib/R/COPYING 		\
		$(debtmp)/usr/lib/R/COPYING.LIB 
	(cd $(debtmp)/usr/lib/R/; \
		ln -s ../../share/common-licenses/GPL COPYING; \
		ln -s ../../share/common-licenses/LGPL COPYING.LIB)

        # edd 15 Jul 2002 reduce compile load on small machines
ifneq "$(findstring $(arch), m68k-linux arm-linux)" ""
	perl -p -i -e 's/-g -O2/-g0 -O0/g' $(debtmp)/usr/lib/R/etc/Makeconf
endif

        # that being done, now install in different sub-packages

        # move the GNOME version to the r-gnome package
ifneq ($(gnome),0)
	dh_movefiles	-p$(gnomepackage) 	usr/lib/R/modules/R_gnome.so
endif

        # move files for r-recommended
        # doing this before html/latex moves ensure they keep their tex/latex
	dh_movefiles	-p$(recdpackage)
        # move the html manual files in r-doc-html.files into r-doc-html 
        # these get built in make-arch too ...
	dh_movefiles	-p$(htmlpackage)		
        # move files for r-base-html
	dh_movefiles	-pr-base-html
        # move files for r-base-latex
	dh_movefiles	-pr-base-latex
        # move all the rest into r-base-core
	dh_movefiles	-p$(corepackage)

        # for the standalone library package, move the two libs
        # as 'make install' ignore these, we have to do it by hand
	dh_installdirs -p$(nmathpackage) usr/include usr/lib
